## javax.vecmath
Class Point3f

    java.lang.Object
      javax.vecmath.Tuple3f
          javax.vecmath.Point3f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Point3f

extends Tuple3f
implements java.io.Serializable

A 3 element point that is represented by single precision floating point x,y,z coordinates.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3f
`x, y, z`

Constructor Summary
`Point3f()` Constructs and initializes a Point3f to (0,0,0).
`Point3f(float[] p)` Constructs and initializes a Point3f from the array of length 3.
`Point3f(float x, float y, float z)` Constructs and initializes a Point3f from the specified xyz coordinates.
`Point3f(Point3d p1)` Constructs and initializes a Point3f from the specified Point3d.
`Point3f(Point3f p1)` Constructs and initializes a Point3f from the specified Point3f.
`Point3f(Tuple3d t1)` Constructs and initializes a Point3f from the specified Tuple3d.
`Point3f(Tuple3f t1)` Constructs and initializes a Point3f from the specified Tuple3f.

Method Summary
`float` `distance(Point3f p1)` Computes the distance between this point and point p1.
`float` `distanceL1(Point3f p1)` Computes the L-1 (Manhattan) distance between this point and point p1.
`float` `distanceLinf(Point3f p1)` Computes the L-infinite distance between this point and point p1.
`float` `distanceSquared(Point3f p1)` Computes the square of the distance between this point and point p1.
`void` `project(Point4f p1)` Multiplies each of the x,y,z components of the Point4f parameter by 1/w and places the projected values into this point.

Methods inherited from class javax.vecmath.Tuple3f
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, getX, getY, getZ, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setX, setY, setZ, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point3f

    public Point3f(float x,
                   float y,
                   float z)

  Constructs and initializes a Point3f from the specified xyz coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Point3f

    public Point3f(float[] p)

  Constructs and initializes a Point3f from the array of length 3.

  Parameters:
    `p` - the array of length 3 containing xyz in order

### Point3f

    public Point3f(Point3f p1)

  Constructs and initializes a Point3f from the specified Point3f.

  Parameters:
    `p1` - the Point3f containing the initialization x y z data

### Point3f

    public Point3f(Point3d p1)

  Constructs and initializes a Point3f from the specified Point3d.

  Parameters:
    `p1` - the Point3d containing the initialization x y z data

### Point3f

    public Point3f(Tuple3f t1)

  Constructs and initializes a Point3f from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

### Point3f

    public Point3f(Tuple3d t1)

  Constructs and initializes a Point3f from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### Point3f

    public Point3f()

  Constructs and initializes a Point3f to (0,0,0).

Method Detail

### distanceSquared

    public final float distanceSquared(Point3f p1)

  Computes the square of the distance between this point and point p1.

  Parameters:
    `p1` - the other point
  Returns:
    the square of the distance

### distance

    public final float distance(Point3f p1)

  Computes the distance between this point and point p1.

  Parameters:
    `p1` - the other point
  Returns:
    the distance

### distanceL1

    public final float distanceL1(Point3f p1)

  Computes the L-1 (Manhattan) distance between this point and point p1. The L-1 distance is equal to: abs(x1-x2) + abs(y1-y2) + abs(z1-z2).

  Parameters:
    `p1` - the other point
  Returns:
    the L-1 distance

### distanceLinf

    public final float distanceLinf(Point3f p1)

  Computes the L-infinite distance between this point and point p1. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2), abs(z1-z2)].

  Parameters:
    `p1` - the other point
  Returns:
    the L-infinite distance

### project

    public final void project(Point4f p1)

  Multiplies each of the x,y,z components of the Point4f parameter by 1/w and places the projected values into this point.

  Parameters:
    `p1` - the source Point4f, which is not modified

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.